<html>
<head>
    <title>Chatroom</title>
</head>
<body>
<h1>Chatroom</h1>
<?php
if (isset($_POST['clear'])) {
    wincache_ucache_clear();
    echo '<p>Messages deleted, counter reset.</p>';
}
if (!wincache_ucache_exists('counter')) {
    wincache_ucache_add('counter', 0);
}
$cnt = wincache_ucache_inc('counter');
echo "$cnt page hits since the last restart.\n";
?>
<form action="" method="post">
    Message: <input name="msg" />
    <input type="submit" value="Send!" />
    <input type="submit" name="clear" value="Delete all" />
</form>
<hr />
<h2>The 5 latest messages</h2>
<p><?php
if (!wincache_ucache_exists('chat')) {
    wincache_ucache_add('chat', array());
}
$chat = wincache_ucache_get('chat');
if (isset($_POST['msg'])) {
    $chat[] = $_POST['msg'];
    if (count($chat) > 5) {
        array_shift($chat);
    }
    wincache_ucache_set('chat', $chat);
}
foreach (array_reverse($chat) as $msg) {
    echo htmlspecialchars($msg), "<br />\n";
}
?></p>
</body>
</html>
