CREATE DATABASE test_groups
ON PRIMARY
( NAME = tg_prim,
    FILENAME = 'C:\data\tg.mdf',
    SIZE = 15, MAXSIZE = 40, FILEGROWTH = 5MB ),
FILEGROUP TG_UserData1
( NAME = TG_BD1_dat,
    FILENAME = 'D:\data\tg_bd1_1.ndf',
    SIZE = 1GB, MAXSIZE = UNLIMITED, FILEGROWTH = 10% ),
FILEGROUP TG_UserData2
( NAME = TG_BD2_1_dat,
    FILENAME = 'E:\data\tg_bd2_1.ndf',
    SIZE = 100, MAXSIZE = 4GB, FILEGROWTH = 200 ),
( NAME = TG_BD2_2_dat,
    FILENAME = 'E:\data\tg_bd2_2.ndf',
    SIZE = 100, MAXSIZE = 2GB, FILEGROWTH = 100 )
LOG ON
( NAME = TG1_log,
    FILENAME = 'F:\transactions\tg1.ldf',
    SIZE = 10MB, MAXSIZE = 50MB, FILEGROWTH = 10MB ),
( NAME = TG2_log,
    FILENAME = 'G:\transactions\tg2.ldf',
    SIZE = 15MB, MAXSIZE = 75MB, FILEGROWTH = 15MB )
