WITH ProductInfo (ProductID, ProductName, CategoryID) AS (
    SELECT ProductID, Name, ProductCategoryID
    FROM SalesLT.Product
    UNION ALL  -- recrusive table extension
    SELECT ProductID, ProductName, ParentProductCategoryID
    FROM ProductInfo
    JOIN SalesLT.ProductCategory ON CategoryID = ProductCategoryID
)
SELECT ProductID, ProductName, CategoryID, Name
FROM ProductInfo
JOIN SalesLT.ProductCategory ON CategoryID = ProductCategoryID
WHERE ProductID=706 or ProductID=707
ORDER BY ProductID, CategoryID;
GO
