<?php
namespace net\xmp\phpbook;

require './HTMLPage.php';
require './LDAPConnection.php';
require './LDAPEntryFormatter.php';
require './browse_ldap_types.php';
require './AD_util.php';

$html = new HTMLPage('LDAP Browser');
$form = <<<EOF
<form action="" method="get">
Name: <input name="name" />
<select name="type">
EOF;
foreach ($objectClasses as $name => $config) {
    $form .= sprintf('<option  value="%s">%s</option>', htmlspecialchars($name),
             htmlspecialchars($config['name']));
}
$form .= <<<EOF
</select>
<input type="submit" value="search" />
</form><br />
EOF;
$html->addHTML($form);
// Check if parameters exist
if (!isset($_GET['name']) || !isset($_GET['type'])) {
    $html->printPage();
    exit;
}
