<?php
namespace net\xmp\phpbook;

require './ExchangeSoapClient.php';
require './Mailbox.php';

$options = array('login' => 'tony', 'password' => 'confidential',
                 'CACert' => './my-ca.cer');
$client = new ExchangeSoapClient('./Services.wsdl', $options);

$tony = new Mailbox("tony.hamster@xmp.site");
$doris = new Mailbox("doris.lass@xmp.site");
$agnes = new Mailbox("agnes.barstow@xmp.site", "Agnes B. Barstow");

$param = new \stdClass;
$param->MessageDisposition = 'SendAndSaveCopy';
$param->Items = new \stdClass;
$param->Items->Message = new \stdClass;
$param->Items->Message->ItemClass = 'IPM.Note';
$param->Items->Message->Subject = 'AdventureWorks: Support ticket #45260';
$param->Items->Message->Body = new \stdClass;
$param->Items->Message->Body->BodyType = 'Text';
$param->Items->Message->Body->_ = 'Bicycle headlight is broken.';
$param->Items->Message->Sender = new \stdClass;
$param->Items->Message->Sender->Mailbox = $tony;
$param->Items->Message->ToRecipients = new \stdClass;
$param->Items->Message->ToRecipients->Mailbox = $doris;
$param->Items->Message->CcRecipients = new \stdClass;
$param->Items->Message->CcRecipients->Mailbox = array(clone $tony, $agnes);
$response = $client->CreateItem($param);

echo 'Email created and sent successfully.';
?>
