<?php
namespace net\xmp\phpbook;
require './autodiscover.php';

$response = autodiscover('autodiscover.phpdemo.site', 'doris.lass@xmp.site',
                         'xmp\\tony', 'confidential', './my-ca.cer');
$xml = new \SimpleXMLElement($response);
$xml->registerXPathNamespace(
      'ex', 'http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a');
$intern = $xml->xpath('//ex:Internal//ex:ASUrl');
$extern = $xml->xpath('//ex:External//ex:ASUrl');
echo "<p>Internal EWS URL: $intern[0]\n",
     "<p>External EWS URL: $extern[0]\n";
?>
