$page = new HTMLPage('Folders in Mailbox');
$folderlist = $response->ResponseMessages->FindFolderResponseMessage->RootFolder->Folders->Folder;
$folders = array();
foreach ($folderlist as $folder) {
    $folders[$folder->FolderId->Id] = $folder;
}
$table = array( array('Name', 'Folder Class', 'Parent Folder', 'Elements', 'Unread') );
foreach ($folders as $folder) {
    $parentId = $folder->ParentFolderId->Id;
    $parent = isset($folders[$parentId]) ? $folders[$parentId]->DisplayName : 'msgfolderroot';
    $table[] = array($folder->DisplayName, $folder->FolderClass, $parent,
                     $folder->TotalCount, $folder->UnreadCount);
}
$page->addTable($table);
$page->printPage();
